Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Mon, 21 Dec 2020 06:15:48 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I have requested for return on 9th and 12th of some items from my 2 orders. Until now, items have not been collected. Several follow ups have been done through call center, with d chat with the customer service representative and through email. I am extremely disappointed by the service provided by centrepoint regarding d return process. I want to elevate this issue to the appropriate responsible person who can help me. In fact, I am fed up of following this up so many times and the response is they will prioritize. What is the issue? Why is it taking so long time for someone to pick up the return items. If not possible, why do you have so called return process and policy. This is absolutely frustrating. It's almost been 2 weeks and I am chasing this same issue to be fixed. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1899916